cc.funkemunky.api.utils

## Class PlayerUtils

- java.lang.Object
- - cc.funkemunky.api.utils.PlayerUtils

    public class PlayerUtils
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`PlayerUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `facingOpposite(org.bukkit.entity.Entity one, org.bukkit.entity.Entity two)`
`static double` `getAccurateDistance(org.bukkit.entity.LivingEntity attacked, org.bukkit.entity.LivingEntity entity)`
`static double` `getAccurateDistance(org.bukkit.Location origin, org.bukkit.Location point)`
`static int` `getDepthStriderLevel(org.bukkit.entity.Player player)`
`static int` `getPotionEffectLevel(org.bukkit.entity.Player player, org.bukkit.potion.PotionEffectType pet)`
`static boolean` `hasBlocksAround(org.bukkit.Location loc)`
`static boolean` `hasEnchantment(org.bukkit.inventory.ItemStack item, org.bukkit.enchantments.Enchantment enchantment)`
`static boolean` `isGliding(org.bukkit.entity.Player p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PlayerUtils

    public PlayerUtils()

### Method Detail

#### hasEnchantment

    public static boolean hasEnchantment(org.bukkit.inventory.ItemStack item,
                                         org.bukkit.enchantments.Enchantment enchantment)

#### getDepthStriderLevel

    public static int getDepthStriderLevel(org.bukkit.entity.Player player)

#### hasBlocksAround

    public static boolean hasBlocksAround(org.bukkit.Location loc)

#### facingOpposite

    public static boolean facingOpposite(org.bukkit.entity.Entity one,
                                         org.bukkit.entity.Entity two)

#### isGliding

    public static boolean isGliding(org.bukkit.entity.Player p)

#### getAccurateDistance

    public static double getAccurateDistance(org.bukkit.entity.LivingEntity attacked,
                                             org.bukkit.entity.LivingEntity entity)

#### getAccurateDistance

    public static double getAccurateDistance(org.bukkit.Location origin,
                                             org.bukkit.Location point)

#### getPotionEffectLevel

    public static int getPotionEffectLevel(org.bukkit.entity.Player player,
                                           org.bukkit.potion.PotionEffectType pet)